package com.waimai.web.admin.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.waimai.common.annotation.Excel;
import com.waimai.common.core.domain.BaseEntity;

/**
 * 收货地址对象 address
 * 
 * @author callmeyan
 * @date 2023-03-24
 */
public class Address extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 地址编号 */
    private Long id;

    /** 用户编号 */
    @Excel(name = "用户编号")
    private Long uid;

    private String userNickname;


    /** 收货人 */
    @Excel(name = "收货人")
    private String username;

    /** 收货电话 */
    @Excel(name = "收货电话")
    private String phone;

    /** 省编号 */
    @Excel(name = "省编号")
    private Long provice;

    /** 市编号 */
    @Excel(name = "市编号")
    private Long city;

    /** 区/县编号 */
    @Excel(name = "区/县编号")
    private Long county;

    /** 街道编号 */
    @Excel(name = "街道编号")
    private Long street;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detail;

    /** 是否默认(0:否 1:是) */
    @Excel(name = "是否默认(0:否 1:是)")
    private Integer isDefault;

    /** 状态 */
    @Excel(name = "状态")
    private Integer state;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }
    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setProvice(Long provice) 
    {
        this.provice = provice;
    }

    public Long getProvice() 
    {
        return provice;
    }
    public void setCity(Long city) 
    {
        this.city = city;
    }

    public Long getCity() 
    {
        return city;
    }
    public void setCounty(Long county) 
    {
        this.county = county;
    }

    public Long getCounty() 
    {
        return county;
    }
    public void setStreet(Long street) 
    {
        this.street = street;
    }

    public Long getStreet() 
    {
        return street;
    }
    public void setDetail(String detail) 
    {
        this.detail = detail;
    }

    public String getDetail() 
    {
        return detail;
    }
    public void setIsDefault(Integer isDefault) 
    {
        this.isDefault = isDefault;
    }

    public Integer getIsDefault() 
    {
        return isDefault;
    }
    public void setState(Integer state) 
    {
        this.state = state;
    }

    public Integer getState() 
    {
        return state;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("uid", getUid())
            .append("username", getUsername())
            .append("phone", getPhone())
            .append("provice", getProvice())
            .append("city", getCity())
            .append("county", getCounty())
            .append("street", getStreet())
            .append("detail", getDetail())
            .append("isDefault", getIsDefault())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("state", getState())
            .append("remark", getRemark())
            .toString();
    }

    public String getUserNickname() {
        return userNickname;
    }

    public void setUserNickname(String userNickname) {
        this.userNickname = userNickname;
    }
}
